# validator

Guidence for create validator

#### Create wallet

To create new wallet you can use command below. Don’t forget to save the mnemonic

```
uptickd keys add $WALLET
```

To recover your wallet using seed phrase

```
uptickd keys add $WALLET --recover
```

Show your wallet list

```
uptickd keys list
```

#### Save wallet info

Add wallet and validator address into variables

```
UPTICK_WALLET_ADDRESS=$(uptickd keys show $WALLET -a)
UPTICK_VALOPER_ADDRESS=$(uptickd keys show $WALLET --bech val -a)
echo 'export UPTICK_WALLET_ADDRESS='${UPTICK_WALLET_ADDRESS} >> $HOME/.bash_profile
echo 'export UPTICK_VALOPER_ADDRESS='${UPTICK_VALOPER_ADDRESS} >> $HOME/.bash_profile
source $HOME/.bash_profile
```

#### Fund your wallet

In order to create validator first you need to fund your wallet with discord faucet.

```
N/A
```

#### Create validator

check your wallet balance:

```
uptickd query bank balances $UPTICK_WALLET_ADDRESS
```

To create your validator run command below

```
uptickd tx staking create-validator \
  --amount 5000000000000000000auoc \
  --from $WALLET \
  --commission-max-change-rate "0.01" \
  --commission-max-rate "0.2" \
  --commission-rate "0.07" \
  --min-self-delegation "1" \
  --pubkey  $(uptickd tendermint show-validator) \
  --moniker $NODENAME \
  --chain-id $UPTICK_CHAIN_ID
```

#### Check your validator key

```
[[ $(uptickd q staking validator $UPTICK_VALOPER_ADDRESS -oj | jq -r .consensus_pubkey.key) = $(uptickd status | jq -r .ValidatorInfo.PubKey.value) ]] && echo -e "\n\e[1m\e[32mTrue\e[0m\n" || echo -e "\n\e[1m\e[31mFalse\e[0m\n"
```

#### Get list of validators

```
uptickd q staking validators -oj --limit=3000 | jq '.validators[] | select(.status=="BOND_STATUS_BONDED")' | jq -r '(.tokens|tonumber/pow(10; 6)|floor|tostring) + " \t " + .description.moniker' | sort -gr | nl
```

### Usefull commands

#### Service management

Check logs

```
journalctl -fu uptickd -o cat
```

Start service

```
sudo systemctl start uptickd
```

Stop service

```
sudo systemctl stop uptickd
```

Restart service

```
sudo systemctl restart uptickd
```

#### Node info

Synchronization info

```
uptickd status 2>&1 | jq .SyncInfo
```

Validator info

```
uptickd status 2>&1 | jq .ValidatorInfo
```

Node info

```
uptickd status 2>&1 | jq .NodeInfo
```

Show node id

```
uptickd tendermint show-node-id
```

#### Wallet operations

List of wallets

```
uptickd keys list
```

Recover wallet

```
uptickd keys add $WALLET --recover
```

Delete wallet

```
uptickd keys delete $WALLET
```

Get wallet balance

```
uptickd query bank balances $UPTICK_WALLET_ADDRESS
```

Transfer funds

```
uptickd tx bank send $UPTICK_WALLET_ADDRESS <TO_UPTICK_WALLET_ADDRESS> 5000000000000000000auoc
```

#### Voting

```
uptickd tx gov vote 1 yes --from $WALLET --chain-id=$UPTICK_CHAIN_ID
```

#### Staking, Delegation and Rewards

Delegate stake

```
uptickd tx staking delegate $UPTICK_VALOPER_ADDRESS 5000000000000000000auoc --from=$WALLET --chain-id=$UPTICK_CHAIN_ID --gas=auto
```

Redelegate stake from validator to another validator

```
uptickd tx staking redelegate <srcValidatorAddress> <destValidatorAddress> 5000000000000000000auoc --from=$WALLET --chain-id=$UPTICK_CHAIN_ID --gas=auto
```

Withdraw all rewards

```
uptickd tx distribution withdraw-all-rewards --from=$WALLET --chain-id=$UPTICK_CHAIN_ID --gas=auto
```

Withdraw rewards with commision

```
uptickd tx distribution withdraw-rewards $UPTICK_VALOPER_ADDRESS --from=$WALLET --commission --chain-id=$UPTICK_CHAIN_ID
```

#### Validator management

Edit validator

```
uptickd tx staking edit-validator \
  --moniker=$NODENAME \
  --identity=<your_keybase_id> \
  --website="<your_website>" \
  --details="<your_validator_description>" \
  --chain-id=$UPTICK_CHAIN_ID \
  --from=$WALLET
```

Unjail validator

```
uptickd tx slashing unjail \
  --broadcast-mode=block \
  --from=$WALLET \
  --chain-id=$UPTICK_CHAIN_ID \
  --gas=auto
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.konsortech.xyz/node/testnet/uptick/validator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
